Reports module
Endpoints
Endpoints for managing Reportings
GET
/reportschedules Returns collection of Report schedule resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 6808,
"created_at": "2025-05-01 02:10:01",
"culture": 3,
"description": "value",
"emails": "value",
"end_at": "2025-05-01 02:22:44",
"format": 1,
"frequency": "value",
"last_run_at": "2025-05-01 02:05:20",
"name": "value",
"next_run_at": "2025-05-01 02:08:11",
"report_id": 9160,
"start_at": "2025-05-01 02:12:05",
"status": 0,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}
POST
/reportschedules Creates new Report schedule resource
Parameters
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
POST /v1.1/voipstudio/reportschedules HTTP/1.1
Host: l7api.com
{
"report_id": 325,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-10-16",
"end_at": "2026-10-16",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
201 Success
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 7615,
"created_at": "2024-05-04 20:42:10",
"culture": 3,
"description": "value",
"emails": "value",
"end_at": "2024-05-04 20:32:58",
"format": 0,
"frequency": "value",
"last_run_at": "2024-05-04 20:34:38",
"name": "value",
"next_run_at": "2024-05-04 20:40:19",
"report_id": 2255,
"start_at": "2024-05-04 20:31:29",
"status": 1,
"timezone": "value",
"tz": "value"
},
"links": {}
}
GET
/reportschedules/{id} Returns Report schedule resource for given Id
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
GET /v1.1/voipstudio/reportschedules/52 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 8657,
"created_at": "2018-03-07 20:14:49",
"culture": 5,
"description": "value",
"emails": "value",
"end_at": "2018-03-07 20:27:11",
"format": 0,
"frequency": "value",
"last_run_at": "2018-03-07 20:19:30",
"name": "value",
"next_run_at": "2018-03-07 20:24:34",
"report_id": 9630,
"start_at": "2018-03-07 20:19:29",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
PATCH
/reportschedules/{id} Updates existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
PATCH /v1.1/voipstudio/reportschedules/56 HTTP/1.1
Host: l7api.com
{
"report_id": 952,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-10-16",
"end_at": "2026-10-16",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 2495,
"created_at": "2020-07-10 16:23:14",
"culture": 6,
"description": "value",
"emails": "value",
"end_at": "2020-07-10 16:23:35",
"format": 1,
"frequency": "value",
"last_run_at": "2020-07-10 16:28:14",
"name": "value",
"next_run_at": "2020-07-10 16:37:41",
"report_id": 9785,
"start_at": "2020-07-10 16:32:11",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
DELETE
/reportschedules/{id} Deletes existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
DELETE /v1.1/voipstudio/reportschedules/8 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/reportschedules/dictionaries Returns Dictionary for Report schedule resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Success
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 8029,
"created_at": "2024-05-09 06:04:03",
"culture": 6,
"description": "value",
"emails": "value",
"end_at": "2024-05-09 06:20:44",
"format": 1,
"frequency": "value",
"last_run_at": "2024-05-09 06:18:33",
"name": "value",
"next_run_at": "2024-05-09 06:20:09",
"report_id": 1443,
"start_at": "2024-05-09 06:05:22",
"status": 0,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}